<script language="Javascript">

function showPages(name) { //初始化属性
	this.name = name;      //对象名称
	this.page = 1;         //当前页数
	this.pageCount = 1;    //总页数
	this.argName = 'page'; //参数名
	this.showTimes = 1;    //打印次数
}

showPages.prototype.getPage = function(){ //丛url获得当前页数,如果变量重复只获取最后一个
	var args = location.search;
	var reg = new RegExp('[\?&]?' + this.argName + '=([^&]*)[&$]?', 'gi');
	var chk = args.match(reg);
	this.page = RegExp.$1;
}
showPages.prototype.checkPages = function(){ //进行当前页数和总页数的验证
	if (isNaN(parseInt(this.page))) this.page = 1;
	if (isNaN(parseInt(this.pageCount))) this.pageCount = 1;
	if (this.page < 1) this.page = 1;
	if (this.pageCount < 1) this.pageCount = 1;
	if (this.page > this.pageCount) this.page = this.pageCount;
	this.page = parseInt(this.page);
	this.pageCount = parseInt(this.pageCount);
}
showPages.prototype.createHtml = function(mode){ //生成html代码
	var strHtml = '', prevPage = this.page - 1, nextPage = this.page + 1;
	if (mode == '' || typeof(mode) == 'undefined') mode = 0;
	
		//模式1 (10页缩略,首页,前页,后页,尾页)
		strHtml += '当前<span class="count">' + this.page + ' / ' + this.pageCount + '</span>页';
		strHtml += '<span class="number">';
		if (prevPage < 1) {
			strHtml += '<span title="First Page">首页</span>';
			strHtml += '<span title="Prev Page">上一页</span>';
		} else {
			strHtml += '<span title="First Page"><a href="javascript:' + this.name + '.toPage(1);">首页</a></span>';
			strHtml += '<span title="Prev Page"><a href="javascript:' + this.name + '.toPage(' + prevPage + ');">上一页</a></span>';
		}
		if (this.page % 10 ==0) {
			var startPage = this.page - 9;
		} else {
			var startPage = this.page - this.page % 10 + 1;
		}
		if (startPage > 10) strHtml += '<span title="Prev 10 Pages"><a href="javascript:' + this.name + '.toPage(' + (startPage - 1) + ');">...</a></span>';
		for (var i = startPage; i < startPage + 10; i++) {
			if (i > this.pageCount) break;
			if (i == this.page) {
				strHtml += '<span title="Page ' + i + '">[' + i + ']</span>';
			} else {
				strHtml += '<span title="Page ' + i + '"><a href="javascript:' + this.name + '.toPage(' + i + ');">[' + i + ']</a></span>';
			}
		}
		if (this.pageCount >= startPage + 10) strHtml += '<span title="Next 10 Pages"><a href="javascript:' + this.name + '.toPage(' + (startPage + 10) + ');">...</a></span>';
		if (nextPage > this.pageCount) {
			strHtml += '<span title="Next Page">下一页</span>';
			strHtml += '<span title="Last Page">尾页</span>';
			strHtml +=' 共有<span><?=$total_num;?></span>条记录';
		} else {
			strHtml += '<span title="Next Page"><a href="javascript:' + this.name + '.toPage(' + nextPage + ');">下一页</a></span>';
			strHtml += '<span title="Last Page"><a href="javascript:' + this.name + '.toPage(' + this.pageCount + ');">尾页</a></span>';
			strHtml +=' 共有<span><?=$total_num;?></span>条记录';
		}
		strHtml += '</span><br />';
	return strHtml;
}
showPages.prototype.createUrl = function (page) { //生成页面跳转url
	if (isNaN(parseInt(page))) page = 1;
	if (page < 1) page = 1;
	if (page > this.pageCount) page = this.pageCount;
	var url = location.protocol + '//' + location.host + location.pathname;
	var args = location.search;
	var reg = new RegExp('([\?&]?)' + this.argName + '=[^&]*[&$]?', 'gi');
	args = args.replace(reg,'$1');
	if (args == '' || args == null) {
		args += '?' + this.argName + '=' + page;
	} else if (args.substr(args.length - 1,1) == '?' || args.substr(args.length - 1,1) == '&') {
			args += this.argName + '=' + page;
	} else {
			args += '&' + this.argName + '=' + page;
	}
	return url + args;
}
showPages.prototype.toPage = function(page){ //页面跳转
	var turnTo = 1;
	if (typeof(page) == 'object') {
		turnTo = page.options[page.selectedIndex].value;
	} else {
		turnTo = page;
	}
	self.location.href = this.createUrl(turnTo);
}
showPages.prototype.printHtml = function(mode){ //显示html代码
	this.getPage();
	this.checkPages();
	this.showTimes += 1;
	document.write('<div id="pages_' + this.name + '_' + this.showTimes + '" class="pages"></div>');
	document.getElementById('pages_' + this.name + '_' + this.showTimes).innerHTML = this.createHtml(mode);
	
}
showPages.prototype.formatInputPage = function(e){ //限定输入页数格式
	var ie = navigator.appName=="Microsoft Internet Explorer"?true:false;
	if(!ie) var key = e.which;
	else var key = event.keyCode;
	if (key == 8 || key == 46 || (key >= 48 && key <= 57)) return true;
	return false;
}
//-->
</script>
<style>
/* Pages Main Tyle */
.pages {
	color: #000;
	cursor: default;
	padding: 3px 0px 3px 0px;
	margin-top:-15px;
	text-align:right;
}
/* Page and PageCount Style */
.pages .count {
	font-weight: bold;
	border-right: none;
	padding: 2px 10px 2px 10px;
}
/* Mode 0,1,2 Style (Number) */
.pages .number {
	font-weight: normal;
	padding: 2px 10px 2px 10px;
}
.pages .number a, .pages .number span {
	
}
.pages .number span {
	color:#F00;
	margin: 0px 3px 0px 3px;
}
.pages .number a {
	color: #000;
/*	text-decoration: none;*/
}
.pages .number a:hover {
	color: #F00;
}
</style>

<script language="Javascript">
<!--
var pg = new showPages('pg');

pg.pageCount =<?=$total_pages;?>;  // 定义总页数(必要)
//pg.argName = 'page';  // 定义参数名(可选,默认为page)
pg.printHtml(1);
//-->
</script>